﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.11" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="3.1.11" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.11">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="3.1.11" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\TheTrader.Domain\TheTrader.Domain.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Migrations\" />
    </ItemGroup>

</Project>